Bug 63805 - 500 error on /network/entitlement/service_entitlements.pxt
500 error on /network/entitlement/service_entitlements.pxt
Status: CLOSED RAWHIDE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Chip Turner
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-18 16:57 EDT by Matt Jamison
Modified: 2007-07-31 15:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-24 19:06:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Komenda 2002-04-18 16:57:08 EDT
Description of Problem: Attempted to change entitlement level of registrered
client box, received 500 error, traceback.


Version-Release number of selected component (if applicable): see bug 63780


Additional Information (traceback):
The following exception occured while executing this request:
 POST /network/entitlement/service_entitlements.pxt HTTP/1.0 (from browser)
 /network/entitlement/service_entitlements.pxt (from Apache)

Date:
  Thu Apr 18 11:44:54 2002

Headers:
  Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, image/png, */*
  Accept-Charset: iso-8859-1,*,utf-8
  Accept-Encoding: gzip
  Accept-Language: en
  Connection: Keep-Alive
  Content-length: 332
  Content-type: application/x-www-form-urlencoded
  Cookie: pxt_session=11x895fa05347566ca381652c0831154972;
rh_auth_token=1:1019144008xff69e3912410072a51428a75688843e2
  Host: rhnproxy01.devel.redhat.com
  Referer:
http://rhnproxy01.devel.redhat.com/network/entitlement/service_entitlements.pxt
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31 i686)

Form variables:
  first_lower => 1
  first_upper => 20
  last_lower => 1
  last_upper => 2
  lower => 1
  next_lower => 1
  next_upper => 2
  prev_lower => 1
  prev_upper => 20
  pxt:trap => rhn:entitlement_change_cb
  server_1000010000_ent => none
  server_1000010000_prev_ent => sw_mgr_entitled
  server_1000010001_ent => sw_mgr_entitled
  server_1000010001_prev_ent => none
  sid => 1000010001
  upper => 2

User Information:
  User joe_sat_1 (id 1, org_id 1)

Error notes:
  (none)

Initial Request:
  Yes

Error message:
  RHN::Exception: DBD::Oracle::db prepare failed: ORA-00942: table or view does
not exist (DBD ERROR: OCIStmtExecute/Describe) at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB.pm line 31.

  RHN::DB /usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB.pm 32
RHN::DB::objectify_error
  RHN::DB::Server /usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB/Server.pm 382
RHN::DB::prepare
  RHN::Server /usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/Server.pm 21
RHN::DB::Server::lookup_server
  Sniglets::ServerList
/usr/lib/perl5/site_perl/5.6.1/i386-linux/Sniglets/ServerList.pm 792
RHN::Server::lookup
  Sniglets::ServerList
/usr/lib/perl5/site_perl/5.6.1/i386-linux/Sniglets/ServerList.pm 787 (eval)
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 618
Sniglets::ServerList::entitlement_change_cb
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 48
PXT::ApacheHandler::pxt_parse_data
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 48 (eval)
  main /dev/null 0 PXT::ApacheHandler::handler
  main /dev/null 0 (eval)

Offending Query: SELECT S.ID, S.DIGITAL_SERVER_ID, S.ARCH, S.OS, S.RELEASE,
S.NAME, S.DESCRIPTION, S.SECRET, S.INFO, S.ORG_ID, TO_CHAR(S.CREATED ,
'YYYY-MM-DD HH24:MI:SS'), S.creator_id, S.auto_update, S.auto_deliver,
S.last_boot, S.running_kernel, R.ID, R.SERVER_ID, R.RAM, R.SWAP, SI.server_id,
TO_CHAR(SI.checkin , 'YYYY-MM-DD HH24:MI:SS'), SI.checkin_counter, C.ID,
C.SERVER_ID, C.ARCH, C.BOGOMIPS, C.CACHE, C.FAMILY, C.MHZ, C.STEPPING, C.FLAGS,
C.MODEL, C.VERSION, C.VENDOR, C.NRCPU, C.ACPIVERSION, C.APIC, C.APMVERSION,
C.CHIPSET, A.ID, A.NAME, A.FAMILY, A.GENERATION, L.ID, L.SERVER_ID, L.RACK,
L.ROOM, L.MACHINE, L.BUILDING, L.ADDRESS1, L.ADDRESS2, L.CITY, L.STATE,
L.COUNTRY, D.VENDOR, D.SYSTEM, D.PRODUCT, D.BIOS_VENDOR, D.BIOS_RELEASE,
D.BIOS_VERSION, D.ASSET, D.BOARD, P.SERVER_ID, SAT.SERVER_ID, SAT.CERT
FROM rhnServer S, rhnRam R, rhnServerInfo SI, rhnCpu C, rhnArch A,
rhnServerLocation L, rhnServerDMI D, rhnProxyInfo P, rhnSatelliteInfo SAT
WHERE S.ID = R.SERVER_ID(+) AND S.ID = SI.SERVER_ID AND S.ID = C.SERVER_ID(+)
AND S.ARCH = A.ID AND S.ID = L.SERVER_ID(+) AND S.ID = D.SERVER_ID(+) AND S.ID =
P.SERVER_ID(+) AND S.ID = SAT.SERVER_ID(+) AND S.ID = ?
Comment 1 Chip Turner 2002-04-20 00:51:58 EDT
fixed, problem was a few tables weren't in universe.satellite.sql

Note You need to log in before you can comment on or make changes to this bug.